Solved Finished.

Discussion in 'Plugin Help/Development/Requests' started by drty27g8tor, Dec 13, 2014.

Thread Status:
Not open for further replies.
  1. Offline

    TwerkinCraft

    :( ill review the code, are you using the latest versions of the prerequisite plugins?
     
  2. Offline

    drty27g8tor

    Yes I believe so
    Code:
    [00:34:28] [Server thread/ERROR]: Could not load 'plugins/RegionTab.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/gmail/plundermc/requests/RegionChat/RegionChat : Unsupported major.minor version 52.0
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[spigot-1.8.0-20141001a.jar:git-Spigot-1.7.9-R0.2-207-g03373bb]
        at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:336) ~[spigot-1.8.0-20141001a.jar:git-Spigot-1.7.9-R0.2-207-g03373bb]
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:258) [spigot-1.8.0-20141001a.jar:git-Spigot-1.7.9-R0.2-207-g03373bb]
        at org.bukkit.craftbukkit.v1_7_R4.CraftServer.loadPlugins(CraftServer.java:369) [spigot-1.8.0-20141001a.jar:git-Spigot-1.7.9-R0.2-207-g03373bb]
        at net.minecraft.server.v1_7_R4.DedicatedServer.init(DedicatedServer.java:152) [spigot-1.8.0-20141001a.jar:git-Spigot-1.7.9-R0.2-207-g03373bb]
        at net.minecraft.server.v1_7_R4.MinecraftServer.run(MinecraftServer.java:458) [spigot-1.8.0-20141001a.jar:git-Spigot-1.7.9-R0.2-207-g03373bb]
        at net.minecraft.server.v1_7_R4.ThreadServerApplication.run(SourceFile:628) [spigot-1.8.0-20141001a.jar:git-Spigot-1.7.9-R0.2-207-g03373bb]
    Caused by: java.lang.UnsupportedClassVersionError: com/gmail/plundermc/requests/RegionChat/RegionChat : Unsupported major.minor version 52.0
        at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.7.0_65]
        at java.lang.ClassLoader.defineClass(ClassLoader.java:800) ~[?:1.7.0_65]
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) ~[?:1.7.0_65]
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:449) ~[?:1.7.0_65]
        at java.net.URLClassLoader.access$100(URLClassLoader.java:71) ~[?:1.7.0_65]
        at java.net.URLClassLoader$1.run(URLClassLoader.java:361) ~[?:1.7.0_65]
        at java.net.URLClassLoader$1.run(URLClassLoader.java:355) ~[?:1.7.0_65]
        at java.security.AccessController.doPrivileged(Native Method) ~[?:1.7.0_65]
        at java.net.URLClassLoader.findClass(URLClassLoader.java:354) ~[?:1.7.0_65]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) ~[spigot-1.8.0-20141001a.jar:git-Spigot-1.7.9-R0.2-207-g03373bb]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[spigot-1.8.0-20141001a.jar:git-Spigot-1.7.9-R0.2-207-g03373bb]
        at java.lang.ClassLoader.loadClass(ClassLoader.java:425) ~[?:1.7.0_65]
        at java.lang.ClassLoader.loadClass(ClassLoader.java:358) ~[?:1.7.0_65]
        at java.lang.Class.forName0(Native Method) ~[?:1.7.0_65]
        at java.lang.Class.forName(Class.java:270) ~[?:1.7.0_65]
        at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64) ~[spigot-1.8.0-20141001a.jar:git-Spigot-1.7.9-R0.2-207-g03373bb]
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[spigot-1.8.0-20141001a.jar:git-Spigot-1.7.9-R0.2-207-g03373bb]
        ... 6 more
     
  3. Offline

    timtower Moderator Moderator

    @drty27g8tor That means that you are trying to run a plugin compiled in java 8 while the server is running java 7
     
  4. Offline

    drty27g8tor

    I thought he had re-compiled it with Java 7
     
  5. Offline

    CrushedPixel

    Last edited by a moderator: Jan 6, 2015
Thread Status:
Not open for further replies.

Share This Page